cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
Want to know all about tools for creatives that work seamlessly with Dropbox, like Adobe? Well, check it out right here!

Dropbox installs & integrations

Connect your tools and content together with help from the Dropbox Community. Join a discussion or post a question of your own to get started.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Unable to install Dropbox on Ubuntu 20.04

Unable to install Dropbox on Ubuntu 20.04

Xavier-G
Helpful | Level 5

Hi,

 

With this morning updates on beta version of Ubuntu Focal (20.04), system uninstalled Dropbbox because it updated package libpango.

 

So I downloaded the new deb package on Dropbox site, and saw that it was a new version from 4th March 2020, good !

 

But installation failed :

sudo dpkg -i dropbox_2020.03.04_amd64.deb

dropbox depends from libpango1.0-0 (>= 1.36.3) ; but:
Package libpango1.0-0 is not installed

 

But it's well present :

libpango-1.0.0-1.44.7-2

 

Please could you update your installation package ? Thanks !

1 Accepted Solution

Accepted Solutions

Re: Unable to install Dropbox on Ubuntu 20.04

Здравко
Super Collaborator | Level 20

Hi @Xavier-G,

The issue comes from fact - corresponding package name seems got changed (probably temporary). As a workaround, ignoring dependencies, you can "install" the package by hand (suppose all needed libraries persist), copy contained files on the corresponding places. :wink:

Good luck.

View solution in original post

12 Replies 12

Re: Unable to install Dropbox on Ubuntu 20.04

Walter
Dropboxer

Hi @Xavier-G; welcome to the Dropbox Community!

 

It seems like the operating system you are running is not currently a fully tested or supported environment for the Dropbox desktop application (from what I gather, it will be out officially on the 23rd of April, 2020). You can see a list of our system requirements here:

 

While we support a variety of operating systems, we are unable to support these versions until they are officially classified as stable.

 

I'm sorry I can’t provide support for our desktop app when run on an unsupported operating system and I'll make sure to pass your comments on to our dev team.

 

What I'd suggest, for now, is to keep an eye on our system requirements page for updates about new supported operating systems.

 

I hope this clears things up and I'm always around if you have any more questions. 

 


Walter
Community Moderator @ Dropbox
dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
:arrows_counterclockwise: Still stuck? Ask me a question!
:pushpin: Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Re: Unable to install Dropbox on Ubuntu 20.04

Здравко
Super Collaborator | Level 20

Hi @Xavier-G,

The issue comes from fact - corresponding package name seems got changed (probably temporary). As a workaround, ignoring dependencies, you can "install" the package by hand (suppose all needed libraries persist), copy contained files on the corresponding places. :wink:

Good luck.

View solution in original post

Re: Unable to install Dropbox on Ubuntu 20.04

Xavier-G
Helpful | Level 5

Thanks for your help, yes it seems due to a a problem of package name, but it has been identified and should (I hope) been resolved soon :

 

https://lists.ubuntu.com/archives/focal-changes/2020-March/016186.html

Re: Unable to install Dropbox on Ubuntu 20.04

Здравко
Super Collaborator | Level 20

Just launch:

sudo dpkg --ignore-depends=libpango1.0-0 -i dropbox_2020.03.04_amd64.deb

Re: Unable to install Dropbox on Ubuntu 20.04

Xavier-G
Helpful | Level 5

It works, thanks a lot for your help ! :grinning:

 

And no need to reconnect nor re-do all the synchronization (I don't use the default folder), all was still registered, perfect.

Re: Unable to install Dropbox on Ubuntu 20.04

Durin
New member | Level 2

Hi,

 

I't not a temporary change. In Debian the package libpango1.0-0 was changed to transitional package in 2013 which depended on libpango-1.0-0 and now the transitional package has been dropped from the archive.

 

Dropbox should change the dependency to libpango-1.0-0

 

https://salsa.debian.org/gnome-team/pango/-/blob/debian/master/debian/changelog

 

Re: Unable to install Dropbox on Ubuntu 20.04

Здравко
Super Collaborator | Level 20

Hi @Durin,

Yes, You are absolutely right; that what you say is upcoming bug (if Dropbox won't take care, as usual)! Let hope this time the status won't be broken application and after that some action, but... we will see.

Just to note, the topic was about something related (somehow), not the same! So the discussed change is temporary (most probably).

Anyway... Good warning!

Re: Unable to install Dropbox on Ubuntu 20.04

afolarin
Explorer | Level 3

https://manjaro.site/install-dropbox-on-ubuntu-19-10/

 

fix libpango dependancies with 

sudo apt-get -f install

Re: Unable to install Dropbox on Ubuntu 20.04

shmu26
Helpful | Level 7

This issue still has not been fixed on Ubuntu 20.04 despite its official release.

Poll
Do you work or study in the creative industry? If so, which area?
If you use Adobe, don't forget to check out our latest integrations update here.
Who's talking

Top contributors to this post

  • User avatar
    flabdablet Helpful | Level 5
  • User avatar
    N3m3si5 New member | Level 2
  • User avatar
    shmu26 Helpful | Level 7
  • User avatar
    afolarin Explorer | Level 3
What do Dropbox user levels mean?
Need more support?